<?php

	App::uses('CakeEventListener', 'Event');

	class OrderEmailListener implements CakeEventListener {

		public function implementedEvents() {
			return array(
				'Model.Order.orderCreated' => 'orderCreated',
				'Model.Order.orderPaid' => 'orderPaid',
				'Model.Order.orderCompleted' => 'orderCompleted',
				'Model.Order.orderFailed' => 'orderFailed',
			);
		}

		public function orderCreated() {

		}

		public function orderPaid(CakeEvent $event) {

			debug('Sending order confirmation email');

		}

		public function orderCompleted(CakeEvent $event) {

			debug('Sending request feedback/thankyou email');

		}

		public function orderFailed(CakeEvent $event) {

			//SEND FAILURE MESSAGE TO ADMIN
			throw new Exception('Failed to process payment');
			
		}

		public function emailConfirmation($id, $delayed = false) {

			$order = $this->readForEdit($id);

			if (!empty($order)) {

				$email = new CustomEmail();

				$email->template('confirmation');

				$email->emailFormat('html');

				$email->to($order['User']['email']);
				
				$this->_configureConfirmationEmail($email, $order, $delayed);

				$email->helpers(
					array(
						'Html'
					)
				);
				
				return $email->send();
			}

		}


		protected function _configureConfirmationEmail(&$email, $order, $delayed) {
			$email->from(array(EmailConfig::SYSTEM_EMAIL => Configure::read('SiteSetting.site_title')));
			$email->subject(Configure::read('SiteSetting.site_title') . ' Order Confirmation');

			$email->viewVars(
				array(
					'order' => $order,
					'delayed' => $delayed,
					'telephone' => Configure::read('SiteSetting.telephone_number')
				)
			);
			// $email->addBcc(Configure::read('SiteSetting.sales_email'));
			// $email->addBcc("8b6fcba9@trustpilotservice.com");
		}

	}
