<?php

App::uses('EvCheckoutAppModel', 'EvCheckout.Model');

class CreditCard extends EvCheckoutAppModel {

	public $useTable = false;

	public $validate = array(
		'name' => array(
			'required' => array(
				'rule' => 'notEmpty',
				'message' => 'cannot be blank'
			)
		),
		'card_number' => array(
			'required' => array(
				'rule' => 'notEmpty',
				'message' => 'cannot be blank'
			), 
			'cc' => array(
				'rule' => array('cc', 'all'), 
				'message' => 'enter exactly as on card'
			)
		),
		'security_number' => array(
			'required' => array(
				'rule' => 'notEmpty',
				'message' => 'cannot be blank'
			),
			'numeric' => array(
				'rule' => 'numeric',
				'message' => 'enter exactly as on card'
			)
		),
		'expiry_month' => array(
			'required' => array(
				'rule' => 'notEmpty',
				'message' => 'cannot be blank'
			),
			'numeric' => array(
				'rule' => 'numeric',
				'message' => 'enter exactly as on card'
			)
		), 
		'expiry_year' => array(
			'required' => array(
				'rule' => 'notEmpty',
				'message' => 'cannot be blank'
			),
			'numeric' => array(
				'rule' => 'numeric',
				'message' => 'enter exactly as on card'
			)
		), 
		'start_month' => array(
			'numeric' => array(
				'rule' => 'numeric',
				'message' => 'enter exactly as on card', 
				'allowEmpty' => true
			)
		), 
		'start_year' => array(
			'numeric' => array(
				'rule' => 'numeric',
				'message' => 'enter exactly as on card', 
				'allowEmpty' => true
			)
		), 
		'issue_number' => array(
			'numeric' => array(
				'rule' => 'numeric',
				'message' => 'enter exactly as on card',
				'allowEmpty' => true
			)
		), 

	);



}
